import Vue from 'vue'
import './plugins/axios'
import App from './App.vue'
import router from './router'
import store from './store'
import Vant from 'vant';
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import 'vant/lib/index.css';
import './assets/scss/common.scss';
import './assets/iconfont/iconfont.css'
import querystring from 'querystring';
import './plugins/element.js'
import './plugins/common';
import videojs from 'video.js';
import 'video.js/dist/video-js.css';
Vue.prototype.$video = videojs;

import './assets/icons'

document.title = '运营中心'

Vue.use(Vant);
// Vue.use(ElementUI);
Vue.config.productionTip = false
Vue.prototype.$qs = querystring


new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')

Vue.config.ignoredElements = ['wx-open-launch-weapp']
    // (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
Date.prototype.Format = function(fmt) {
    let o = {
        'M+': this.getMonth() + 1, // 月份
        'd+': this.getDate(), // 日
        'h+': this.getHours(), // 小时
        'm+': this.getMinutes(), // 分
        's+': this.getSeconds(), // 秒
        'q+': Math.floor((this.getMonth() + 3) / 3), // 季度
        'S': this.getMilliseconds() // 毫秒
    };
    if (/(y+)/.test(fmt)) { fmt = fmt.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length)); }
    for (let k in o) {
        if (new RegExp('(' + k + ')').test(fmt)) { fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length))); }
    }
    return fmt;
};